//
// File: assembler.cpp
//
// master file for assembler


#include <iostream>
#include <conio.h>
#include "asm.h"
#include "error.h"

int main( int argc, char *argv[] ) {
	clrscr();
	if (argc<2) {
		cout << "R1-assembler" << endl;
		cout << "------------" << endl;
		cout << "Must supply source filename!" << endl;
		cout << endl;
		return 1;
	}
	string fname = argv[1];

	Assembler a;
	a.assemble(fname, fname+".obj", fname+".map" );
}
